Skip to main content
POST
/
api
/
v1
/
resource-groups
Create a new resource group
curl --request POST \
  --url https://api.devhelm.io/api/v1/resource-groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "alertPolicyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "defaultFrequency": 43215,
  "defaultRegions": [
    "<string>"
  ],
  "defaultRetryStrategy": {
    "type": "<string>",
    "maxRetries": 123,
    "interval": 123
  },
  "defaultAlertChannels": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "defaultEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "healthThresholdValue": 50,
  "suppressMemberAlerts": true,
  "confirmationDelaySeconds": 300,
  "recoveryCooldownMinutes": 30
}
'
import requests

url = "https://api.devhelm.io/api/v1/resource-groups"

payload = {
    "name": "<string>",
    "description": "<string>",
    "alertPolicyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "defaultFrequency": 43215,
    "defaultRegions": ["<string>"],
    "defaultRetryStrategy": {
        "type": "<string>",
        "maxRetries": 123,
        "interval": 123
    },
    "defaultAlertChannels": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
    "defaultEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "healthThresholdValue": 50,
    "suppressMemberAlerts": True,
    "confirmationDelaySeconds": 300,
    "recoveryCooldownMinutes": 30
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    description: '<string>',
    alertPolicyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    defaultFrequency: 43215,
    defaultRegions: ['<string>'],
    defaultRetryStrategy: {type: '<string>', maxRetries: 123, interval: 123},
    defaultAlertChannels: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
    defaultEnvironmentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    healthThresholdValue: 50,
    suppressMemberAlerts: true,
    confirmationDelaySeconds: 300,
    recoveryCooldownMinutes: 30
  })
};

fetch('https://api.devhelm.io/api/v1/resource-groups', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": 123,
    "name": "<string>",
    "slug": "<string>",
    "suppressMemberAlerts": true,
    "health": {
      "totalMembers": 123,
      "operationalCount": 123,
      "activeIncidents": 123,
      "failingCount": 123
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "alertPolicyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "defaultFrequency": 123,
    "defaultRegions": [
      "<string>"
    ],
    "defaultRetryStrategy": {
      "type": "<string>",
      "maxRetries": 123,
      "interval": 123
    },
    "defaultAlertChannels": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "defaultEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "healthThresholdValue": 123,
    "confirmationDelaySeconds": 123,
    "recoveryCooldownMinutes": 123,
    "members": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "memberType": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "slug": "<string>",
        "subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "effectiveFrequency": "<string>",
        "uptime24h": 123,
        "chartData": [
          123
        ],
        "avgLatencyMs": 123,
        "p95LatencyMs": 123,
        "lastCheckedAt": "2023-11-07T05:31:56Z",
        "monitorType": "<string>",
        "environmentName": "<string>"
      }
    ]
  }
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Body

application/json

Request body for creating a resource group

name
string
required

Human-readable name for this group

Maximum string length: 255
description
string | null

Optional description

alertPolicyId
string<uuid> | null

Optional notification policy to apply for this group

defaultFrequency
integer<int32> | null

Default check frequency in seconds applied to members (30–86400)

Required range: 30 <= x <= 86400
defaultRegions
string[] | null

Default regions applied to member monitors

Default regions applied to member monitors

defaultRetryStrategy
object | null

Default retry strategy for member monitors; null clears

defaultAlertChannels
string<uuid>[] | null

Default alert channel IDs applied to member monitors

Default alert channel IDs applied to member monitors

defaultEnvironmentId
string<uuid> | null

Default environment ID applied to member monitors

healthThresholdType
enum<string> | null

Health threshold type: COUNT or PERCENTAGE

Available options:
COUNT,
PERCENTAGE
healthThresholdValue
number | null

Health threshold value: count (0+) or percentage (0–100)

Required range: 0 < x < 100
suppressMemberAlerts
boolean | null

Suppress member-level alert notifications when group manages alerting

confirmationDelaySeconds
integer<int32> | null

Confirmation delay in seconds before group incident creation (0–600)

Required range: 0 <= x <= 600
recoveryCooldownMinutes
integer<int32> | null

Recovery cooldown in minutes after group incident resolves (0–60)

Required range: 0 <= x <= 60
managedBy
enum<string> | null

Source creating this group: DASHBOARD, CLI, TERRAFORM, MCP, or API. Defaults to API when omitted.

Available options:
DASHBOARD,
CLI,
TERRAFORM,
MCP,
API

Response

Created

data
object
required

Resource group with health summary and optional member details